Skip to content

Loading…

[fix bug 787901] Update python virtualenv requirements. #310

Merged
merged 1 commit into from

3 participants

@glogiotatidis
Mozilla member

No description provided.

@davidw93 davidw93 commented on an outdated diff
requirements/prod.txt
@@ -1,30 +1,11 @@
+-r ../vendor/src/funfactory/funfactory/requirements/prod.txt
+
# Django stuff
-e git://github.com/django/django@1.3.X#egg=django

This doesn't actually work during the install process. I altered it to:

-e git://github.com/django/django.git@origin/stable/1.3.x#egg=django

@glogiotatidis Mozilla member

Hi davidw93,

Thanks for trying this out. It seems to work fine for me the way it is though. Can you cross check and / or post the error you get? I'm also on irc if you want to ping me there.

Thanks!

@glogiotatidis Mozilla member

OK got the error! Thanks for reporting ;)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
@glogiotatidis glogiotatidis merged commit ecad72e into mozilla:master
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
This page is out of date. Refresh to see the latest.
Showing with 20 additions and 11 deletions.
  1. +1 −7 requirements/compiled.txt
  2. +2 −0 requirements/dev.txt
  3. +17 −4 requirements/prod.txt
View
8 requirements/compiled.txt
@@ -1,10 +1,4 @@
-MySQL-python==1.2.3c1
-Jinja2==2.5.5
-
-# for bcrypt passwords
-hmac==20101005
-hashlib==20081119
-py-bcrypt==0.2
+-r ../vendor/src/funfactory/funfactory/requirements/compiled.txt
# Images
PIL
View
2 requirements/dev.txt
@@ -12,6 +12,7 @@ nose==1.0.0
mock==0.8.0
-e git://github.com/jbalogh/django-nose.git#egg=django_nose
-e git://github.com/jbalogh/test-utils.git#egg=test-utils
+lxml==2.1
pyquery
# L10n
@@ -22,3 +23,4 @@ django-extensions
Werkzeug
coverage
+nosenicedots
View
21 requirements/prod.txt
@@ -1,8 +1,11 @@
-# Django stuff
--e git://github.com/django/django@1.3.X#egg=django
+# Uncomment this line when we upgrade playdoh
+#-r ../vendor/src/funfactory/funfactory/requirements/prod.txt
-# Django Extensions
--e git://github.com/mozilla/happyforms.git#egg=happyforms
+
+## [START] Remove the following lines when we upgrade playdoh
+
+# Django stuff
+-e git://github.com/django/django.git@origin/stable/1.3.x#egg=django
# Templates
-e git://github.com/jbalogh/jingo.git#egg=jingo
@@ -15,6 +18,8 @@ GitPython==0.1.7
# Security
-e git://github.com/fwenzel/django-sha2.git#egg=django-sha2
+-e git://github.com/jsocol/bleach.git#egg=bleach
+-e git://github.com/mozilla/django-session-csrf.git#egg=django-session-csrf
# Celery: Message queue
celery
@@ -25,6 +30,14 @@ Babel>=0.9.4
-e git://github.com/clouserw/tower.git#egg=tower
-e git://github.com/fwenzel/django-mozilla-product-details#egg=django-mozilla-product-details
+# Mobile
+-e git://github.com/jbalogh/django-mobility@644e0c1c58#egg=django-mobility
+
+## [END] Remove the following lines when we upgrade playdoh
+
+# Django Extensions
+-e git://github.com/mozilla/happyforms.git#egg=happyforms
+
# Cache
python-memcached==1.45
Something went wrong with that request. Please try again.